<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: edit_userprofilepics.php
| Original Author: olelau
| Version: 1.0 for (Fusion-ver7)
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."easy_photos/locale/".$settings['locale'].".php")) {
	include INFUSIONS."easy_photos/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."easy_photos/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }

/* Settings for your photoalbum */
$max_width = 800; // max. Pixel width
$max_height = 600; // max. Pixel height
$max_tn_size = 120; // max. width/height for Thumbnails
$max_pics = 9; // max. number of images allowed for the user to upload
$thumbs_per_row = 3; // no. of Thumbs per. row
/* End of settings */

if (!iMEMBER) redirect("index.php");

require_once INCLUDES."fancybox/fancybox_head.php";

opentable($locale['EZP_200']);

if(isset($_POST['deletepic'])) {
  @unlink(IMAGES."userprofilepics/thumbs/".$_POST['pic_to_delete']);
  @unlink(IMAGES."userprofilepics/".str_replace('th_','',$_POST['pic_to_delete']));
  redirect(FUSION_SELF);
}
  
echo "<center><table style='width:500; height: inherit' border='0' cellspacing='1' cellpadding='0' class='tbl-border'><tr>";
$i=0;
$found=0;
$pfad=IMAGES."userprofilepics/thumbs/";
$imglist=opendir($pfad);
while ($file=readdir($imglist))
{
    if (filetype($pfad.$file)!="dir")
    {
        $i++;
        if($file != substr_count($file,"[".$userdata['user_id']."]")) {
        $found++;
        $imginfo = getimagesize(IMAGES."userprofilepics/".str_replace('th_','',$file));

        echo '
        <td valign="bottom" width="33%" class="tbl1" border="0">
        <table border="0" cellspacing="0" cellpadding="10" align="center">
          <tr>
            <td valign="bottom" border="0">
<a class="fancybox" href="'.IMAGES.'userprofilepics/'.str_replace('th_','',$file).'" alt="'.$locale['EZP_201'].'" /><img src="'.IMAGES.'userprofilepics/thumbs/'.$file.'" rel="group" alt="" border="0" /></a>            
            </td>
          </tr>
          <tr>
            <td height="22" valign="top" align="center">
            <form name="deleteform" method="post" action="'.FUSION_SELF.'">
            <input type="hidden" name="pic_to_delete" value="'.$file.'" />
            <input name="deletepic" type="submit" class="button" value="'.$locale['EZP_202'].'" />
            </form>
            </td>
          </tr>
        </table>
        </td>';
        if(is_integer($found/$thumbs_per_row)) echo "
        </tr></table>
        <table style='width:500; height: inherit' border='0' cellspacing='1' cellpadding='0' class='tbl-border'><tr>";
	}
        }
}
closedir($imglist);
echo "</tr></table></center>";

if(isset($_POST['upload'])) {
$error="";
$newname_string="[".$userdata['user_id']."]".time();
$newpic = $_FILES['userpic'];
$imginfo = getimagesize($newpic['tmp_name']); 

if($imginfo[2]<1 || $imginfo[2]>3) $error='Wrong file type!';

if(!$error) {

if($imginfo[2]==1) {
  $tmpimg=ImageCreateFromGIF($newpic['tmp_name']);
  $filetype = ".gif";
  }
elseif($imginfo[2]==2) {
  $tmpimg=ImageCreateFromJPEG($newpic['tmp_name']);
  $filetype = ".jpg";
  }
elseif($imginfo[2]==3) {
  $tmpimg=ImageCreateFromPNG($newpic['tmp_name']);
  $filetype = ".png";
  }

if($imginfo[0]>$max_width || $imginfo[1]>$max_height) {
  if($imginfo[0]<$imginfo[1]) {
  $new_width = intval($imginfo[0]/($imginfo[1]/$max_height));
  $new_height = $max_height;
  }
  elseif($imginfo[1]<$imginfo[0]) {
  $new_height = intval($imginfo[1]/($imginfo[0]/$max_width));
  $new_width = $max_width;
  }
  else { $new_width=$max_width; $new_height=$max_height; }
echo "<br />Your image will be scaled to ".$new_width." x ".$new_height."".$locale['EZP_213']."..<br />";
} else {$new_width=$imginfo[0]; $new_height=$imginfo[1];}

$newimg=imagecreatetruecolor($new_width,$new_height);
ImageCopyResized($newimg,$tmpimg,0,0,0,0,$new_width,$new_height,$imginfo[0],$imginfo[1]); 
ImageJPEG($newimg,IMAGES."userprofilepics/".$newname_string.".jpg");

$imginfo = getimagesize(IMAGES."userprofilepics/".$newname_string.".jpg");
$tmpimg=ImageCreateFromJPEG(IMAGES."userprofilepics/".$newname_string.".jpg");

if($imginfo[0]<$imginfo[1]) {
$new_width = $imginfo[0]/($imginfo[1]/$max_tn_size);
$new_height = $max_tn_size;
}
elseif($imginfo[1]<$imginfo[0]) {
$new_height = $imginfo[1]/($imginfo[0]/$max_tn_size);
$new_width = $max_tn_size;
}
else { $new_width=$max_tn_size; $new_height=$max_tn_size; }

$newimg=imagecreatetruecolor($new_width,$new_height);
ImageCopyResized($newimg,$tmpimg,0,0,0,0,$new_width,$new_height,$imginfo[0],$imginfo[1]); 
ImageJPEG($newimg,IMAGES."userprofilepics/thumbs/th_".$newname_string.".jpg");
redirect(FUSION_SELF);
	}
}

echo "<br />".$locale['EZP_203']."<strong>".$locale['EZP_204']."</strong><br />
".$locale['EZP_205']."<strong>$found</strong>".$locale['EZP_206']."<br />
".$locale['EZP_207']."<strong>$max_pics</strong>".$locale['EZP_208']."<br />
".$locale['EZP_209']."<strong>";
$unused = $max_pics - $found;
if($unused<0) $unused=0;
echo $unused."</strong>".$locale['EZP_208']."<br /><br /><br /><br />
<strong>".$locale['EZP_211']."</strong><br />".$locale['EZP_212']."$max_width x $max_height".$locale['EZP_213']."<br />".$locale['EZP_214']."";

if(($max_pics-$found)>0) {
echo "<br /><hr /><strong>".$locale['EZP_215']."</strong><br /><br />
<div align='center' style='text-align: center;'>
<form name='uploadform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>
  <input type='file' name='userpic' class='textbox' />
  <input name='upload' type='submit' class='button' value='".$locale['EZP_216']."' />
</form>
</div>";
}
closetable();

require_once THEMES."templates/footer.php";
?>